Package com.independentsoft.graph.sites

# Class ColumnDefinition

java.lang.Object
com.independentsoft.graph.sites.ColumnDefinition

All Implemented Interfaces:
  `ICreatable`, `IUpdatable`

public class ColumnDefinition extends Object implements ICreatable, IUpdatable

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ColumnDefinition()`
  `ColumnDefinition​(JsonObject jsonObject)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `boolean`
  `enforceUniqueValues()`
  `Column`
  `getColumn()`
  `String`
  `getColumnGroup()`
  `DefaultColumnValue`
  `getDefaultValue()`
  `String`
  `getDescription()`
  `String`
  `getDisplayName()`
  `String`
  `getId()`
  `String`
  `getName()`
  `boolean`
  `isHidden()`
  `boolean`
  `isIndexed()`
  `boolean`
  `isReadOnly()`
  `boolean`
  `isRequired()`
  `void`
  `setAsHidden​(boolean hidden)`
  `void`
  `setAsIndexed​(boolean indexed)`
  `void`
  `setAsReadOnly​(boolean isReadOnly)`
  `void`
  `setAsRequired​(boolean isRequired)`
  `void`
  `setColumn​(Column column)`
  `void`
  `setColumnGroup​(String columnGroup)`
  `void`
  `setDefaultValue​(DefaultColumnValue defaultValue)`
  `void`
  `setDescription​(String description)`
  `void`
  `setDisplayName​(String displayName)`
  `void`
  `setEnforceUniqueValues​(boolean enforceUniqueValues)`
  `void`
  `setId​(String id)`
  `void`
  `setName​(String name)`
  `String`
  `toCreateJson()`
  Converts this object to its JSON representation for creation.
  `String`
  `toString()`
  `String`
  `toUpdateJson()`
  Converts this object to its JSON representation for update.
  `String`
  `toUpdateJson​(List<String> propertyNames)`
  Converts this object to JSON for update with specific properties.

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### ColumnDefinition

    public ColumnDefinition()

  - ### ColumnDefinition

    public ColumnDefinition​(JsonObject jsonObject)

- ## Method Details

  - ### toCreateJson

    public String toCreateJson()
    Description copied from interface: `ICreatable`
    Converts this object to its JSON representation for creation.

    This method generates a JSON string containing all properties needed to create a new instance of this resource in Microsoft Graph. Only properties appropriate for creation should be included (e.g., excluding read-only properties like ID, createdTime, etc.).

    Specified by:
      `toCreateJson` in interface `ICreatable`
    Returns:
      JSON string representation for creating this resource

  - ### toUpdateJson

    public String toUpdateJson()
    Description copied from interface: `IUpdatable`
    Converts this object to its JSON representation for update.

    This method generates a JSON string containing all modified properties that should be updated in Microsoft Graph. Only writeable properties with non-null values are typically included.

    Specified by:
      `toUpdateJson` in interface `IUpdatable`
    Returns:
      JSON string representation for updating this resource

  - ### toUpdateJson

    public String toUpdateJson​(List<String> propertyNames)
    Description copied from interface: `IUpdatable`
    Converts this object to JSON for update with specific properties.

    This method generates a JSON string containing only the specified properties. This enables partial updates where only certain fields need to be modified, reducing payload size and avoiding unintended changes to other properties.

    Specified by:
      `toUpdateJson` in interface `IUpdatable`
    Parameters:
      `propertyNames` - List of property names to include in the JSON. If null or empty, all modified properties are included.
    Returns:
      JSON string representation for updating specific properties

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `Object`

  - ### getId

    public String getId()

  - ### setId

    public void setId​(String id)

  - ### getColumnGroup

    public String getColumnGroup()

  - ### setColumnGroup

    public void setColumnGroup​(String columnGroup)

  - ### getDescription

    public String getDescription()

  - ### setDescription

    public void setDescription​(String description)

  - ### getDisplayName

    public String getDisplayName()

  - ### setDisplayName

    public void setDisplayName​(String displayName)

  - ### enforceUniqueValues

    public boolean enforceUniqueValues()

  - ### setEnforceUniqueValues

    public void setEnforceUniqueValues​(boolean enforceUniqueValues)

  - ### isHidden

    public boolean isHidden()

  - ### setAsHidden

    public void setAsHidden​(boolean hidden)

  - ### isIndexed

    public boolean isIndexed()

  - ### setAsIndexed

    public void setAsIndexed​(boolean indexed)

  - ### getName

    public String getName()

  - ### setName

    public void setName​(String name)

  - ### isReadOnly

    public boolean isReadOnly()

  - ### setAsReadOnly

    public void setAsReadOnly​(boolean isReadOnly)

  - ### isRequired

    public boolean isRequired()

  - ### setAsRequired

    public void setAsRequired​(boolean isRequired)

  - ### getDefaultValue

    public DefaultColumnValue getDefaultValue()

  - ### setDefaultValue

    public void setDefaultValue​(DefaultColumnValue defaultValue)

  - ### getColumn

    public Column getColumn()

  - ### setColumn

    public void setColumn​(Column column)